import subprocess
from typing import List


def in_flatpak():
    proc = subprocess.run(["which", "bootc-gtk"], capture_output=True)
    stdout = proc.stdout.decode()
    return "/app/bin/bootc-gtk" in stdout


def prepend_flatpak(args: List[str]) -> List[str]:
    out = ["flatpak-spawn", "--host"]
    out.extend(args)
    return out

